<?php
    require('../components/utils.php');
    require('../components/db_config.php');
    adminLogin();

    if(isset($_POST['add_room'])){
        $accommodation = filteration(json_decode($_POST['accommodation']));
        $additional_accomm = filteration(json_decode($_POST['additional_accomm']));

        $frm_data = filteration($_POST);
        $flag = 0;
        $q1 = "INSERT INTO `rooms`(`name`, `area`, `price`, `quantity`, `adult`, `children`, `detail`) VALUES (?, ?, ?, ?, ?, ?, ?)";
        $values = [$frm_data['name'], $frm_data['area'], $frm_data['price'], $frm_data['quantity'], $frm_data['adult'], $frm_data['children'], $frm_data['detail']];

        if(insert($q1, $values, 'siiiiis')){
            $flag = 1;
        }
        $room_id = mysqli_insert_id($con);
        $q2 = "INSERT INTO `room_accommodation`(`room_id`, `accommodation_id`) VALUES (?, ?)";

        if($stmt = mysqli_prepare($con, $q2)){
            foreach($accommodation as $a){
                mysqli_stmt_bind_param($stmt, 'ii', $room_id, $a);
                mysqli_stmt_execute($stmt);
            }
            mysqli_stmt_close($stmt);
        } else{
            $flag = 0;
            die('Query cannot be prepared - insert');
        }

        //----->Next: create table for room additional accommodation and write function (same as accommodation)
    }
?>